import{select,arc} from 'd3'; 

const svg=select('svg');

const height = parseFloat(svg.attr('height'));
const width =+svg.attr('width');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle')
  .attr('r',height/2)
	.attr('fill', '#8acbb5');

const eyeSpacing = 100;
const eyebrowvar = 35;
const eyebrowheight = 7;
const eyeBOffset = 10;

const eyesG = g.append('g')
	.attr('fill', '#305147');

const eyeB = eyesG.append('g')
	.attr('fill', '#305147')
	.attr('transform',`translate(0,${eyeBOffset})`);

const leftEye = eyesG.append('circle')
  .attr('r',10)
	.attr('cx', - eyeSpacing);

	

const rightEye = eyesG.append('circle')
  .attr('r',10)
	.attr('cx',+ eyeSpacing);


const leftEyebrow = eyeB.append('rect')
    .attr('x',-eyeSpacing - eyebrowvar/2)
    .attr('y',-40)
    .attr('width', eyebrowvar)
    .attr('height', eyebrowheight)
	.transition().duration(2000)
		.attr('y', -30)
	.transition().duration(1000)
		.attr('y', -70);

const rightEyebrow = eyeB.append('rect')
	.attr('x',+eyeSpacing -eyebrowvar/2)
	.attr('y',-40)
	.attr('width', eyebrowvar)
  .attr('height', eyebrowheight);


const mouth = g
  .append('path')
	.attr('width', 80)
  .attr('fill', '#305147')
  .attr('d', arc()({
      innerRadius: 160,
      outerRadius: 150,
      startAngle: Math.PI / 2 +0.4,
      endAngle: Math.PI +0.3
    }));






